[Overview][Resource strings][Constants][Types][Classes][Index] | Reference for unit 'resource' (#fcl-res)

# EResourceReaderNotFoundException

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

No suitable resource reader was found

## Declaration

Source position: resource.pp line 87

`type EResourceReaderNotFoundException = class(EResourceReaderException)`

## Inheritance

`EResourceReaderNotFoundException` |  | No suitable resource reader was found
`EResourceReaderException` |  | Base class for resource reader-related exceptions
`EResourceException` |  | Base class for resource-related exceptions
`Exception`
`TObject`

## Description

This exception is raised when no TAbstractResourceReader descendant able to read a stream was found.

## See also

TResources.FindReader |  | Searches for a suitable resource reader
TResources.LoadFromStream |  | Loads the contents of the object from a stream
TResources.LoadFromFile |  | Loads the contents of the object from a file